Skip to main content
GET
/
v1
/
scrape
/
reddit
/
subreddit
Subreddit Posts
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/reddit/subreddit \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "success": true,
    "posts": {
      "0": {
        "approved_at_utc": null,
        "subreddit": "AskReddit",
        "selftext": "",
        "author_fullname": "t2_hopuf4nq9",
        "saved": false,
        "mod_reason_title": null,
        "gilded": 0,
        "clicked": false,
        "title": "Women: What blowjob tips would you give other women?",
        "link_flair_richtext": {},
        "subreddit_name_prefixed": "r/AskReddit",
        "hidden": false,
        "pwls": 6,
        "link_flair_css_class": null,
        "downs": 0,
        "top_awarded_type": null,
        "hide_score": false,
        "name": "t3_1qzdptk",
        "quarantine": false,
        "link_flair_text_color": "dark",
        "upvote_ratio": 0.81,
        "author_flair_background_color": null,
        "subreddit_type": "public",
        "ups": 4708,
        "total_awards_received": 0,
        "media_embed": {},
        "author_flair_template_id": null,
        "is_original_content": false,
        "user_reports": {},
        "secure_media": null,
        "is_reddit_media_domain": false,
        "is_meta": false,
        "category": null,
        "secure_media_embed": {},
        "link_flair_text": null,
        "can_mod_post": false,
        "score": 4708,
        "approved_by": null,
        "is_created_from_ads_ui": false,
        "author_premium": false,
        "thumbnail": "",
        "edited": 1770571371,
        "author_flair_css_class": null,
        "author_flair_richtext": {},
        "gildings": {},
        "content_categories": null,
        "is_self": true,
        "mod_note": null,
        "created": 1770568900,
        "link_flair_type": "text",
        "wls": 6,
        "removed_by_category": null,
        "banned_by": null,
        "author_flair_type": "text",
        "domain": "self.AskReddit",
        "allow_live_comments": false,
        "selftext_html": null,
        "likes": null,
        "suggested_sort": null,
        "banned_at_utc": null,
        "view_count": null,
        "archived": false,
        "no_follow": false,
        "is_crosspostable": false,
        "pinned": false,
        "over_18": true,
        "all_awardings": {},
        "awarders": {},
        "media_only": false,
        "can_gild": false,
        "spoiler": false,
        "locked": false,
        "author_flair_text": null,
        "treatment_tags": {},
        "visited": false,
        "removed_by": null,
        "num_reports": null,
        "distinguished": null,
        "subreddit_id": "t5_2qh1i",
        "author_is_blocked": false,
        "mod_reason_by": null,
        "removal_reason": null,
        "link_flair_background_color": "",
        "id": "1qzdptk",
        "is_robot_indexable": true,
        "report_reasons": null,
        "author": "workethic290",
        "discussion_type": null,
        "num_comments": 1774,
        "send_replies": true,
        "contest_mode": false,
        "mod_reports": {},
        "author_patreon_flair": false,
        "author_flair_text_color": null,
        "permalink": "/r/AskReddit/comments/1qzdptk/women_what_blowjob_tips_would_you_give_other_women/",
        "stickied": false,
        "url": "https://www.reddit.com/r/AskReddit/comments/1qzdptk/women_what_blowjob_tips_would_you_give_other_women/",
        "subreddit_subscribers": 57727945,
        "created_utc": 1770568900,
        "num_crossposts": 0,
        "media": null,
        "is_video": false
      }
    },
    "after": "t3_1qzkwjb"
  },
  "creditsUsed": 1
}
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

subreddit
string
required

Subreddit name

timeframe
enum<string>

Timeframe to get posts from.

Available options:
all,
day,
week,
month,
year
sort
enum<string>

Sort order.

Available options:
best,
hot,
new,
top,
rising
after
string

After to get more posts. Get 'after' from previous response.

Example:

"t3_1234567890"

trim
boolean

Set to true for a trimmed down version of the response

Example:

false

Response

Successful response

Key Response Fields:

  • data.posts[n].id: Short Reddit post ID
  • data.posts[n].title: Post title text
  • data.posts[n].author: Reddit username of the poster
  • data.posts[n].subreddit: Name of the subreddit
  • data.posts[n].score: Net upvote score
  • data.posts[n].upvote_ratio: Ratio of upvotes vs total votes (0–1)
  • data.posts[n].num_comments: Comment count
  • data.posts[n].url: Full URL to the post
  • data.posts[n].created_utc: Unix timestamp of post creation
  • data.posts[n].is_video: Whether the post contains a video
  • data.after: Pagination cursor — pass as after param for the next page